Subject: Error running Guix pull: no code for module (gnu packages ed)

From: Richard Sent <[email-masked]>
Date: Mon, 25 Dec 2023 12:27:46 -0500

Hi all,

Noticed this error when running Guix pull today. Not entirely sure of 
the problem, but the console said to report it and I didn't notice any 
identical bug reports recently.

Full log attached. Abridged version below.

ice-9/boot-9.scm:3330:6: In procedure resolve-interface:
no code for module (gnu packages ed)
Computing Guix derivation for 'x86_64-linux'...  guix pull: error: You 
found a bug: the program 
'/gnu/store/zd32rmipj4nqlq6rnc0mv638x3i7yvfs-compute-guix-derivation'
failed to compute the derivation for Guix (version: 
"2a66a96634b33667a45f4493a37eef48033b7287"; system: "x86_64-linux";
host version: "49a7a95ba44e231e9e15a274f9a96de6fa012daf"; pull-version: 
1).
Please report the COMPLETE output above by email to <[email-masked]>.